# Visualization
TKV3d
AIS

# AIS_DataMapNodeOfDataMapOfSelStat Class Reference

`#include <AIS_DataMapNodeOfDataMapOfSelStat.hxx>`

## Public Member Functions

| AIS_DataMapNodeOfDataMapOfSelStat (const Handle(SelectMgr_SelectableObject)&K, const Handle(AIS_LocalStatus)&I, const TCollection_MapNodePtr &n)
Handle_SelectMgr_SelectableObject & | Key () const
Handle_AIS_LocalStatus & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_SelectMgr_SelectableObject | myKey
Handle_AIS_LocalStatus | myValue

## Constructor & Destructor Documentation

AIS_DataMapNodeOfDataMapOfSelStat::AIS_DataMapNodeOfDataMapOfSelStat | ( | const Handle(SelectMgr_SelectableObject)& | K,
|  | const Handle(AIS_LocalStatus)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const AIS_DataMapNodeOfDataMapOfSelStat::Handle | ( | Standard_Type |  | ) | const

Handle_SelectMgr_SelectableObject& AIS_DataMapNodeOfDataMapOfSelStat::Key | ( |  | ) | const

Handle_AIS_LocalStatus& AIS_DataMapNodeOfDataMapOfSelStat::Value | ( |  | ) | const

## Field Documentation

Handle_SelectMgr_SelectableObject AIS_DataMapNodeOfDataMapOfSelStat::myKey `[private]`

Handle_AIS_LocalStatus AIS_DataMapNodeOfDataMapOfSelStat::myValue `[private]`

The documentation for this class was generated from the following file:

- AIS_DataMapNodeOfDataMapOfSelStat.hxx